routes/web.php
<?php

use App\Http\Controllers\AdminController;
use App\Http\Controllers\AuthController;
use App\Http\Controllers\CategoryController;
use App\Http\Controllers\SellerAuthController;
use App\Http\Controllers\SellerController;
use App\Http\Controllers\UserController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', function () {
//     return view('welcome');
// });

// Route::prefix('admin')->controller(App\Http\Controllers\Admin\HomeController::class)->middleware('auth:admins')->group(function () {

//     Route::get('/', 'home');
//     // Route::resource('admins', AdminController::class);
// });

// Route::prefix('seller')->controller(App\Http\Controllers\Seller\HomeController::class)->middleware('auth:sellers')->group(function () {

//     Route::get('/', 'home');
//     // Route::resource('categories', CategoryController::class);
//     // Route::resource('admins',AdminController::class);
//     // Route::post('logout', [AuthController::class, 'logout'])->name('logout');
// });

// Route::controller(App\Http\Controllers\User\HomeController::class)->group(function () {

//     Route::get('/', 'home');
// });

// Route::prefix('admin')->controller(App\Http\Controllers\Admin\AuthController::class)->group(function () {
//     Route::get('login', 'showLogin')->name('admin.login');
//     Route::post('login', 'login');
// });

// Route::prefix('seller')->controller(App\Http\Controllers\Seller\AuthController::class)->group(function () {
//     Route::get('login', 'showLogin')->name('seller.login');
//     Route::post('login', 'login');
// });

// Route::controller(App\Http\Controllers\User\AuthController::class)->group(function () {
//     Route::get('login', 'showLogin')->name('login');
//     Route::post('login', 'login');
// });

Route::prefix('admin')->middleware('guest:admin')->group(function(){

    // Route::view('login','cms.login')->name('login');
    Route::get('login',[AuthController::class,'showLogin'])->name('login.admin');
    Route::post('login',[AuthController::class,'login']);

});

Route::prefix('admin')->middleware('auth:admin')->group(function(){

    Route::view('/','cmsAdmin.demo');

    Route::resource('users',UserController::class);
    Route::resource('sellers',SellerController::class);
    Route::resource('admins',AdminController::class);
    Route::get('logout',[AuthController::class,'logout'])->name('logout.admin');
});

Route::prefix('seller')->middleware('guest:seller')->group(function(){

    // Route::view('login','cms.login')->name('login');
    Route::get('login',[SellerAuthController::class,'showLogin'])->name('login.seller');
    Route::post('login',[SellerAuthController::class,'login']);

});

Route::prefix('seller')->middleware('auth:seller')->group(function(){

    Route::view('/','seller.home');

    // Route::resource('cities',CityController::class);
    Route::resource('categories',CategoryController::class);
    Route::get('logout',[SellerAuthController::class,'logout'])->name('logout.seller');
});

app/Models/User.php
<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;

class User extends Authenticatable
{
    use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'name',
        'email',
        'password',
    ];

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array<int, string>
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
}

app/Http/Controllers/User/AuthController.php
<?php

namespace App\Http\Controllers\User;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Validator;
use Symfony\Component\HttpFoundation\Response;

class AuthController extends Controller
{
    //
    public function showLogin()
    {
        return response()->view('login');
    }
    public function login(Request $request)
    {
        $validator = Validator($request->all(), [
            'mobile_number' => 'required|email|exists:users,mobile_number',
            'password' => 'required|string|min:3|max:30',
        ]);
        if (!$validator->fails()) {
            $credentials = [
                'mobile_number' => $request->get('mobile_number'),
                'password' => $request->get('password'),
            ];
            if (Auth::guard('users')->attempt($credentials)) {
                return redirect('/');
                // return response()->json([
                //     'message' => 'Logged in Successfully'
                // ], Response::HTTP_OK);
            }
            // else {
            //     return response()->json([
            //         'message' => 'Login Failed, wrong credentials'
            //     ], Response::HTTP_BAD_REQUEST);
            // }
        } else {
            return response()->json([
                'message' => $validator->getMessageBag()->first()
            ], Response::HTTP_BAD_REQUEST);
        }
    }
    public function logout(Request $request)
    {

        // auth('admin')->logout();
        Auth::guard('users')->logout();
        $request->session()->invalidate();
        return redirect()->route('login');
    }
}

app/Http/Controllers/User/HomeController.php
<?php

namespace App\Http\Controllers\User;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class HomeController extends Controller
{
    //
    public function home()
    {
        return view('landing.home');
    }
}

app/Http/Controllers/UserController.php
<?php

namespace App\Http\Controllers;

use App\Models\User;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

class UserController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $date = User::all();
        return response()->view('cmsAdmin.user.index',['users'=>$date]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        return response()->view('cmsAdmin.user.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $validator = Validator($request->all(),
        [
        'name'=>'required|string|min:3|max:15',
        'email'=>'required|string|email',
        'mobile_number'=>'required'],);
        if(!$validator->fails()){
            $user = new User();
            $user->name = $request->get('name');
            $user->email = $request->get('email');
            $user->mobile_number = $request->get('mobile_number');
            $isSaved = $user->save();
            return response()->json([
                'message'=> $isSaved ? "Successfully" : "Failed"],
            $isSaved ? Response::HTTP_CREATED:
            Response::HTTP_BAD_REQUEST);
        }else{
            return response()->json([
                'message' => $validator->getMessageBag()->first()
            ], Response::HTTP_BAD_REQUEST);
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(User $user)
    {
        //
        return response()->view('cmsAdmin.user.edit',['user'=>$user]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, User $user)
    {
        //
        $validator = Validator($request->all(),
        ['name'=>'required|string|min:3|max:15',
         'email'=>'required|string|email',
         'mobile_number'=>'required'],
        );
        if(!$validator->fails()){
            $user->name = $request->get('name');
            $user->email = $request->get('email');
            $user->mobile_number = $request->get('mobile_number');
            $isUpdated = $user->save();
            return response()->json([
                'message'=> $isUpdated ? "Successfully" : "Failed"],
            $isUpdated ? Response::HTTP_CREATED:
            Response::HTTP_BAD_REQUEST);
        }else{
            return response()->json([
                'message' => $validator->getMessageBag()->first()
            ], Response::HTTP_BAD_REQUEST);
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(User $user)
    {
        //
        $isDeleted = $user->delete();
        if($isDeleted){
            return response()->json(['title'=>'Success!','text'=>'user Deleted Successfully','icon'=>'success'
        ],Response::HTTP_OK);
        }
        else{
            return response()->json(['title'=>'Failed','text'=>'Faild to Delete user','icon'=>'error'
        ],Response::HTTP_BAD_REQUEST);
        }
    }
}

resources/views/cmsAdmin/user/create.blade.php
@extends('cmsAdmin.parent')

@section('title','Create User')

@section('big-title','Create User')

@section('main-page','Home')

@section('sub-page','User')

@section('content')

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-12">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title">Create User</h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->
              <form id="create-form">
                  @csrf
                <div class="card-body">
                  <div class="form-group">
                    <label for="name">Name</label>
                    <input type="text" class="form-control" id="name" placeholder="Enter Name">
                  </div>
                  <div class="form-group">
                    <label for="email">Email</label>
                    <input type="email" class="form-control" id="email" placeholder="Enter Email">
                  </div>
                  <div class="form-group">
                    <label for="email">Phone</label>
                    <input type="number" class="form-control" id="mobile_number" placeholder="Enter Phone">
                  </div>
                  {{-- <div class="form-group">
                    <div class="custom-control custom-switch">
                      <input type="checkbox" class="custom-control-input" id="active">
                      <label class="custom-control-label" for="active">Active</label>
                    </div>
                  </div> --}}
                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="button" onclick="store()" class="btn btn-primary">Store</button>
                </div>
              </form>
            </div>
            <!-- /.card -->


    </section>
    <!-- /.content -->

@endsection

@section('scripts')
    <script>

        function store(){
            axios.post('/admin/users',{
                name:document.getElementById('name').value,
                email:document.getElementById('email').value,
                mobile_number:document.getElementById('mobile_number').value
                // active:document.getElementById('active').checked

            })
            .then(function (response) {
                // handle success
                console.log(response);
                toastr.success(response.data.message);
                document.getElementById('create-form').rest();
            })
            .catch(function (error) {
                // handle error
                console.log(error);
                toastr.error(error.response.data.message);
            })
            .then(function () {
                // always executed
            });
        }
    </script>
@endsection

resources/views/cmsAdmin/user/edit.blade.php
@extends('cmsAdmin.parent')

@section('title','Update User')

@section('big-title','Update User')

@section('main-page','Home')

@section('sub-page','User')

@section('content')

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-12">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title">Update User</h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->
              <form id="update-form">
                  @csrf

                <div class="card-body">
                  <div class="form-group">
                    <label for="name">Name</label>
                    <input type="text" class="form-control" id="name" placeholder="Enter Name"
                    value="{{$user->name}}">
                  </div>
                  <div class="form-group">
                    <label for="name">Email</label>
                    <input type="email" class="form-control" id="email" placeholder="Enter Email"
                    value="{{$user->email}}">
                  </div>
                  <div class="form-group">
                    <label for="email">Phone</label>
                    <input type="number" class="form-control" id="mobile_number" placeholder="Enter Phone"
                    value="{{$user->email}}">
                  </div>
                  {{-- <div class="form-group">
                    <div class="custom-control custom-switch">
                      <input type="checkbox" class="custom-control-input" id="active"
                      @if($admin->active) checked @endif>
                      <label class="custom-control-label" for="active">Active</label>
                    </div>
                  </div> --}}
                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="button" onclick="update({{$user->id}})" class="btn btn-primary">Update</button>
                </div>
              </form>
            </div>
            <!-- /.card -->


    </section>
    <!-- /.content -->

@endsection

@section('scripts')
    <script>

        function update(id){
            axios.put('/admin/users/'+id,{
                name:document.getElementById('name').value,
                email:document.getElementById('email').value,
                mobile_number:document.getElementById('mobile_number').value,

            })
            .then(function (response) {
                // handle success
                console.log(response);
                toastr.success(response.data.message);
                window.location.href = "/admin/users";
            })
            .catch(function (error) {
                // handle error
                console.log(error);
                toastr.error(error.response.data.message);
            })
            .then(function () {
                // always executed
            });
        }
    </script>
@endsection

resources/views/cmsAdmin/user/index.blade.php
@extends('cmsAdmin.parent')

@section('title','Users')

@section('big-title','Users')

@section('main-page','Home')

@section('sub-page','Users')

@section('content')

<section class="content">
    <div class="container-fluid">
      <div class="row">
        <div class="col-12">
          <div class="card">
            <div class="card-header">
              <h3 class="card-title">User Information</h3>

              <div class="card-tools">
                <div class="input-group input-group-sm" style="width: 150px;">
                  <input type="text" name="table_search" class="form-control float-right" placeholder="Search">

                  <div class="input-group-append">
                    <button type="submit" class="btn btn-default">
                      <i class="fas fa-search"></i>
                    </button>
                  </div>
                </div>
              </div>
            </div>
            <!-- /.card-header -->
            <div class="card-body table-responsive p-0">
              <table class="table table-hover table-bordered table-striped text-nowrap">
                <thead>
                  <tr>
                    <th>ID</th>
                    <th>Name</th>
                    <th>Email</th>
                    <th>phone</th>
                    <th>Created At</th>
                    <th>Updated At</th>
                    <th>Setting</th>
                  </tr>
                </thead>
                <tbody>
                    @foreach ($users as $user )
                    <tr>
                        <td>{{$user->id}}</td>
                        <td>{{$user->name}}</td>
                        <td>{{$user->email}}</td>
                        <td>{{$user->mobile_number}}</td>
                        <td>{{$user->created_at}}</td>
                        <td>{{$user->updated_at}}</td>
                        <td>
                            <div class="btn-group">
                                <a href="{{route('users.edit',$user->id)}}" class="btn btn-info">
                                    <i class="far fa-edit"></i>
                                </a>
                                <a href="#" class="btn btn-danger"
                                onclick="confirmDestroy({{$user->id}},this)">
                                    <i class="fas fa-trash"></i>
                                </a>
                              </div>
                        </td>
                        {{-- <td><span class="tag tag-success">Approved</span></td> --}}
                    </tr>
                    @endforeach
                </tbody>
              </table>
            </div>
            <!-- /.card-body -->
          </div>
          <!-- /.card -->
        </div>
      </div>
    </div><!-- /.container-fluid -->
</section>

@endsection

@section('scripts')

    <script>
        function confirmDestroy(id,reference){
            // alert("CONFIRM DESTROY FUNCTION");
            // console.log("CONFIRM DESTROY");
            // console.log(id);
            Swal.fire({
            title: 'Are you sure?',
            text: "You won't be able to revert this!",
            icon: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Yes, delete it!'
            }).then((result) => {
            if (result.isConfirmed) {
                destroy(id,reference);
            }
            })
        }
        function destroy(id,reference){
            axios.delete('/admin/users/'+id)
            .then(function (response) {
                // handle success
                console.log(response);
                reference.closest('tr').remove();
                showMessage(response.data);
            })
            .catch(function (error) {
                // handle error
                console.log(error);
                showMessage(error.response.data);
            })
            .then(function () {
                // always executed
            });
        }
        function showMessage(data){
            Swal.fire({
                icon: data.icon,
                title: data.title,
                text:data.text,
                showConfirmButton: false,
                timer: 1500
            })
        }
    </script>

@endsection